Work Center Replacement Part
The work center replacement part resource.
/workCenterReplacementPartList work center replacement parts
Retrieve a paginated list of work center replacement parts. Filter, order, and select columns with PostgREST query parameters.
Query parameters
selectstringComma-separated columns to return. Defaults to all.
orderstringColumn to sort by, e.g. `createdAt.desc`.
limitintegerMaximum rows to return.
offsetintegerRows to skip, for pagination.
curl --request GET \
--url 'https://rest.carbon.ms/workCenterReplacementPart?select=*&limit=10' \
--header 'Authorization: Bearer <api-key>'[
{
"id": "abc123def456",
"workCenterId": "xyz789",
"itemId": "xyz789",
"quantity": 10,
"unitOfMeasureCode": "string",
"companyId": "xyz789",
"createdBy": "string",
"createdAt": "2026-01-01T00:00:00Z"
}
]/workCenterReplacementPartRetrieve a work center replacement part
Fetch a single work center replacement part by filtering on `id`.
Query parameters
idstringMatch on the work center replacement part's `id`, e.g. `eq.{id}`.
curl --request GET \
--url 'https://rest.carbon.ms/workCenterReplacementPart?id=eq.%7Bid%7D' \
--header 'Authorization: Bearer <api-key>'{
"id": "abc123def456",
"workCenterId": "xyz789",
"itemId": "xyz789",
"quantity": 10,
"unitOfMeasureCode": "string",
"companyId": "xyz789",
"createdBy": "string",
"createdAt": "2026-01-01T00:00:00Z"
}/workCenterReplacementPartCreate a work center replacement part
Create a new work center replacement part.
Body parameters
workCenterIdstringrequiredReferences workCenter.id
itemIdstringrequiredReferences item.id
quantitynumberrequiredunitOfMeasureCodestringrequiredcompanyIdstringrequiredReferences company.id
curl --request POST \
--url https://rest.carbon.ms/workCenterReplacementPart \
--header 'Authorization: Bearer <api-key>' \
--header 'Content-Type: application/json' \
--header 'Prefer: return=representation' \
--data '{"workCenterId":"xyz789","itemId":"xyz789","quantity":10,"unitOfMeasureCode":"string","companyId":"xyz789"}'{
"id": "abc123def456",
"workCenterId": "xyz789",
"itemId": "xyz789",
"quantity": 10,
"unitOfMeasureCode": "string",
"companyId": "xyz789",
"createdBy": "string",
"createdAt": "2026-01-01T00:00:00Z"
}/workCenterReplacementPartUpdate a work center replacement part
Update an existing work center replacement part, matched on `id`.
Body parameters
workCenterIdstringrequiredReferences workCenter.id
itemIdstringrequiredReferences item.id
quantitynumberrequiredunitOfMeasureCodestringrequiredcompanyIdstringrequiredReferences company.id
curl --request PATCH \
--url 'https://rest.carbon.ms/workCenterReplacementPart?id=eq.%7Bid%7D' \
--header 'Authorization: Bearer <api-key>' \
--header 'Content-Type: application/json' \
--header 'Prefer: return=representation' \
--data '{"workCenterId":"xyz789"}'{
"id": "abc123def456",
"workCenterId": "xyz789",
"itemId": "xyz789",
"quantity": 10,
"unitOfMeasureCode": "string",
"companyId": "xyz789",
"createdBy": "string",
"createdAt": "2026-01-01T00:00:00Z"
}/workCenterReplacementPartDelete a work center replacement part
Delete a work center replacement part, matched on `id`. Returns 204 No Content.
Query parameters
idstringThe `id` of the work center replacement part to delete, e.g. `eq.{id}`.
curl --request DELETE \
--url 'https://rest.carbon.ms/workCenterReplacementPart?id=eq.%7Bid%7D' \
--header 'Authorization: Bearer <api-key>'